ranges::views::unique_fn Struct Reference
Inheritance diagram for ranges::views::unique_fn:

## Synopsis of methods

constexpr view_closure< unique_fn > | unique {}

## Public Member Functions

template<typename C >
constexpr auto | operator() (C &&pred) const requires(!range< C >)
Public Member Functions inherited from ranges::views::unique_base_fn
template<typename Rng , typename C = equal_to>
constexpr auto | operator() (Rng &&rng, C pred={}) const -> adjacent_filter_view< all_t< Rng >, logical_negate< C >> requires viewable_range< Rng > &&forward_range< Rng > &&indirect_relation< C, iterator_t< Rng >>